use serde::{Deserialize, Serialize};
use std::fmt::{Display, Formatter};
use domo_proto::identifier::Identifier;

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct NodeConfig {
    #[serde(default)]
    pub node_id: String
}

impl Default for NodeConfig {
    fn default() -> Self {
        Self {
            node_id: Identifier::random().to_string()
        }
    }
}
